View Issue Details

IDProjectCategoryView StatusLast Update
0004460DraftBugpublic2020-12-06 21:37
Reporterhardrock Assigned Toyorik  
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Platformx86-64OSUbuntuOS Version18.04
Product Version0.19 
Summary0004460: Draft Upgrade - Incorrect result
DescriptionThereis two faces, need to join them in one shell with optimization (remove extra edges). This should be done wiht Draft Upgrade command, but result is incorrect (see test file)

Shell in test file - correct, but not optimized. It was made by Part - Create shell from faces.
Steps To Reproduce1. Choose Face_000 and Face_001
2. Apply Draft Upgrade
Additional InformationReport

21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face]21:40:40 ----------------
21:40:40 GuiCommand: Upgrade
21:40:40 ----------------
21:40:40 Upgrade objects
21:40:40 Found several coplanar objects or faces: creating one face


Console
Python 3.6.9 (default, Apr 18 2020, 01:56:04)
[GCC 8.4.0] on linux
Type 'help', 'copyright', 'credits' or 'license' for more information.
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature')
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Part__Feature001')
>>> Gui.runCommand('Draft_Upgrade',0)
>>> _objs_ = Draft.upgrade(FreeCADGui.Selection.getSelection(), delete=True)
>>> # Gui.Selection.addSelection('bug_draft_upgrade_failed','Union')
>>> FreeCAD.ActiveDocument.recompute()
>>>
Tags#pending-forum, #tobeclosed
FreeCAD InformationOS: Ubuntu 18.04.4 LTS (Unity:Unity7:ubuntu/unity)
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.19.
Build type: Release
Branch: unknown
Hash: b0d7850406e046f3b7a8cd5da261e7d54df6bd99
Python version: 3.6.9
Qt version: 5.9.5
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: Russian/Russia (ru_RU)

Relationships

related to 0004462 closed Upgrade from shell to solid failed - UnboundLocalError 

Activities

hardrock

2020-10-15 18:42

reporter  

yorik

2020-11-18 15:20

administrator   ~0015003

Will take a look...

marioalexis

2020-11-20 16:08

reporter   ~0015008

See https://github.com/FreeCAD/FreeCAD/pull/4067

Kunda1

2020-12-01 11:18

administrator   ~0015031

@marioalexis can we close this ticket ?

marioalexis

2020-12-01 18:03

reporter   ~0015047

Yes, this can be closed @Kunda1.
A feature request could be created to apply this functionality to 3D shells.

chrisb

2020-12-06 21:37

developer   ~0015104

Tested ok with 0.19.23141.

Related Changesets

FreeCAD: master 8e080f1d

2020-11-16 04:56:50

marioalexis

Details Diff
Draft: Some fixes in upgrade function. bug 0004460, fixes 0004462, 0004080 Affected Issues
0004080, 0004460, 0004462
mod - src/Mod/Draft/DraftGeomUtils.py Diff File
mod - src/Mod/Draft/draftfunctions/upgrade.py Diff File
mod - src/Mod/Draft/draftgeoutils/faces.py Diff File

Issue History

Date Modified Username Field Change
2020-10-15 18:42 hardrock New Issue
2020-10-15 18:42 hardrock File Added: bug_draft_upgrade_failed.FCStd
2020-10-15 18:42 hardrock Description Updated View Revisions
2020-10-15 18:42 hardrock Steps to Reproduce Updated View Revisions
2020-10-15 18:42 hardrock Additional Information Updated View Revisions
2020-10-15 18:42 hardrock FreeCAD Information OS: Ubuntu 18.04.4 LTS (Unity:Unity7:ubuntu/unity) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19. Build type: Release Branch: unknown Hash: b0d7850406e046f3b7a8cd5da261e7d54df6bd99 Python version: 3.6.9 Qt version: 5.9.5 Coin versi... => OS: Ubuntu 18.04.4 LTS (Unity:Unity7:ubuntu/unity) Word size of OS: 64-bit Word size of FreeCAD: 64-bit Version: 0.19. Build type: Release Branch: unknown Hash: b0d7850406e046f3b7a8cd5da261e7d54df6bd99 Python version: 3.6.9 Qt version: 5.9.5 C...
2020-10-15 18:43 hardrock Additional Information Updated View Revisions
2020-10-15 18:48 Kunda1 Tag Attached: #post-to-forum
2020-10-16 11:47 Kunda1 Tag Detached: #post-to-forum
2020-10-16 11:47 Kunda1 Tag Attached: #pending-forum
2020-11-18 15:20 yorik Note Added: 0015003
2020-11-18 15:20 yorik Assigned To => yorik
2020-11-18 15:20 yorik Status new => assigned
2020-11-20 16:08 marioalexis Note Added: 0015008
2020-11-20 17:27 Kunda1 Relationship added related to 0004462
2020-11-25 10:30 marioalexis Changeset attached => FreeCAD master 8e080f1d
2020-12-01 11:18 Kunda1 Note Added: 0015031
2020-12-01 11:30 Kunda1 Tag Attached: #tobeclosed
2020-12-01 18:03 marioalexis Note Added: 0015047
2020-12-06 21:37 chrisb Status assigned => closed
2020-12-06 21:37 chrisb Resolution open => fixed
2020-12-06 21:37 chrisb Note Added: 0015104